#!/bin/sh

Result=1

RemoveDir()
{
	target="$1"

	if [ -d "${target}" ] ; then
		if rm -rf "${target}" ; then
			Result=0
		else
			echo "Failed to remove ${target}"
			return 1
		fi
	else
		echo "Not found ${target}"
		return 1
	fi

	return 0
}

RemoveReceipt()
{
	target="$1"

	if  pkgutil --pkg-info "${target}" ; then
		pkgutil --forget   "${target}"
	fi

	return 0
}

RemoveReceipt "jp.co.zoom.Q4WebCamAudio"
RemoveDir "/System/Library/Extensions/ZOOM Q4WebCamAudio.kext"

exit ${Result}
